- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions

# QSocketNotifier Class Reference

Search for all occurrences

## Detailed Description

Definition at line 53 of file qsocketnotifier.h.

`#include <qsocketnotifier.h>`

Inheritance diagram for QSocketNotifier:
[legend]

List of all members.

## Public Types
enum | Type { Read, Write, Exception }
## Public Slots
void | setEnabled (bool)
## Signals
void | activated (int socket)
## Public Member Functions
| QSocketNotifier (int socket, Type, QObject *parent=0)
| ~QSocketNotifier ()
int | socket () const
Type | type () const
bool | isEnabled () const
## Protected Member Functions
bool | event (QEvent *)

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  Read | Search for all occurrences
  Write | Search for all occurrences
  Exception | Search for all occurrences

Definition at line 59 of file qsocketnotifier.h.

    { Read, Write, Exception };

## Constructor & Destructor Documentation

QSocketNotifier | ( | int | socket,
|  | Type | ,
|  | QObject * | parent = `0`
| ) |  |

~QSocketNotifier | ( |  | ) |

## Member Function Documentation

int socket | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 67 of file qsocketnotifier.h.

    { return sockfd; }

Type type | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 68 of file qsocketnotifier.h.

    { return sntype; }

bool isEnabled | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 70 of file qsocketnotifier.h.

    { return snenabled; }

void setEnabled | ( | bool |  | ) | `[slot]`

Search for all occurrences

void activated | ( | int | socket | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

The documentation for this class was generated from the following file:

- QtCore/qsocketnotifier.h

QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier
QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier QSocketNotifier